package org.jeecg.modules.api.service;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.api.bean.PageBean;
import org.jeecg.modules.studytourActivity.entity.StudytourActivity;

public interface ActivityService {

    //首页&分类-查询研学活动列表
    public Result<?> queryActivityList(StudytourActivity studytourActivity, PageBean pageBean);

    //首页&分类-查询研学活动详情
    public Result<?> queryActivityById(String activityId);

    //首页&分类-查询我收藏的研学活动列表
    public Result<?> queryCollectionActivityList(String token, PageBean pageBean);

    //首页&分类-收藏研学活动
    public Result<?> collectionActivity(String token, String activityId);

}
